Bug 263942 - Mk/Uses/pear.mk: fix a problem encountered with php80-pear-1.10.12
Summary: Mk/Uses/pear.mk: fix a problem encountered with php80-pear-1.10.12
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Thierry Thomas
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2022-05-12 18:16 UTC by Thierry Thomas
Modified: 2022-05-15 09:29 UTC (History)
0 users

See Also:


Attachments
Make a copy of package.xml (361 bytes, text/plain)
2022-05-12 18:16 UTC, Thierry Thomas
no flags Details
Make a copy of package.xml when needed (888 bytes, patch)
2022-05-15 09:22 UTC, Thierry Thomas
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Thierry Thomas freebsd_committer 2022-05-12 18:16:54 UTC
Created attachment 233880 [details]
Make a copy of package.xml

When installing pear ports with php80-pear-1.10.12, I noticed a failure: the file package.xml disappeared from $WRKSRC and the symlink became invalid.

The attached patch fixed this problem.
Comment 1 Thierry Thomas freebsd_committer 2022-05-15 09:22:11 UTC
Created attachment 233918 [details]
Make a copy of package.xml when needed

Take into account the case of simple pear packages.
Comment 2 Thierry Thomas freebsd_committer 2022-05-15 09:28:35 UTC
Just committed.
Comment 3 commit-hook freebsd_committer 2022-05-15 09:29:03 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=617e0982019746729e9ac8a9903016ff5f246d40

commit 617e0982019746729e9ac8a9903016ff5f246d40
Author:     Thierry Thomas <thierry@FreeBSD.org>
AuthorDate: 2022-05-13 13:16:17 +0000
Commit:     Thierry Thomas <thierry@FreeBSD.org>
CommitDate: 2022-05-15 09:22:45 +0000

    Mk/Uses: make a copy of package.xml

    When installing pear ports with php80-pear-1.10.12, I noticed a failure:
    the file package.xml disappeared from $WRKSRC and the symlink became
    invalid.

    PR:             263942

 Mk/Uses/pear.mk | 4 ++++
 1 file changed, 4 insertions(+)